Skip to main content
`Ctrl`+`K`

# VecTaggerCDFMethod

Determines what method is used to compute absolute values from cumulative distribution values (e.g., what value is the preimage of .95 in the cdf).

## Synopsis

    typedef enum {
      VECTAGGER_CDF_GATHER,
      VECTAGGER_CDF_ITERATIVE,
      VECTAGGER_CDF_NUM_METHODS
    } VecTaggerCDFMethod;

## Values

- `VECTAGGER_CDF_GATHER` - gather the data to MPI rank 0, perform the computation and broadcast the result

- `VECTAGGER_CDF_ITERATIVE` - compute the results on all ranks iteratively using `MPI_Allreduce()`

## Note

Relevant only in parallel: in serial it is directly computed.

## See Also

Vectors and Parallel Data, `Vec`, `VecTagger`, `VecTaggerType`, `VecTaggerCreate()`, `VecTaggerCDFSetMethod()`, `VecTaggerCDFMethods`

## Level

advanced

## Location

include/petscvec.h

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages